using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class BusEmployeeSelectByBusID : DataAccessBase
	{
		public BusEmployeeSelectByBusID()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[BusEmployeeSelectByBusID]");
			ConfigParameter();
		}

		private SqlParameter paramBusID;
		public System.Int32 BusID
		{
			get
			{
				return (System.Int32)paramBusID.Value;
			}
			set
			{
				paramBusID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramBusID = new SqlParameter();
			paramBusID.ParameterName = "@BusID";
			paramBusID.SqlDbType = SqlDbType.Int;
			paramBusID.Precision = 10;
			paramBusID.Scale = 0;
			paramBusID.Direction = ParameterDirection.Input;
			paramBusID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusID);
		}
	}
}